Subject: Re: git merge --abort deletes unstaged files

From: Junio C Hamano <[email-masked]>
Date: Mon, 15 Sep 2014 12:25:25 -0700

Andreas Schwab <[email-masked]> writes:

> André Hänsel <[email-masked]> writes:
>
>> I ran git merge to merge a branch. There were some conflicted files.
>> Although they were automatically resolved by git rerere, I still had to add
>> them.
>
> If you want them to be added automatically, set rerere.autoupdate=true.

I would have to caution against doing so without thinking, though.
In other words, it is OK if you are Andreas who knows what he is
doing, but it is not a very good advice to give to random newbies.

"rerere" will apply whatever matching previous resolution, which may
hopefully be the correct resolution this time too, but it is a good
habit to get into to double check if such a merely textual side-port
of previous resolution is really applicable to the current conflict.